Package: grails.doc.gradle

## [Groovy] Class MigrateLegacyDocs

- grails.doc.gradle.MigrateLegacyDocs

-     class MigrateLegacyDocs
      extends DefaultTask

  Gradle task for migrating Grails 1.x gdocs to the newer Grails 2.x form with a YAML-based table of contents.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.io.File` | `guideDir` |
    `private java.io.File` | `outputDir` |
    `private java.io.File` | `resourcesDir` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.io.File` | `guideDir`
    `java.io.File` | `outputDir`
    `java.io.File` | `resourcesDir`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MigrateLegacyDocs ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.Object` | `migrate()`

- - ### Field Detail

    - #### @InputDirectory private java.io.File guideDir

    - #### @OutputDirectory private java.io.File outputDir

    - #### @InputDirectory private java.io.File resourcesDir

  - ### Property Detail

    - #### @InputDirectory java.io.File guideDir

    - #### @OutputDirectory java.io.File outputDir

    - #### @InputDirectory java.io.File resourcesDir

  - ### Constructor Detail

    - #### MigrateLegacyDocs()

  - ### Method Detail

    - #### @org.gradle.api.tasks.TaskAction java.lang.Object migrate()